CREATE procedure sistema.sp_guardarModulo
@numId int,
@txtTitulo varchar(300),
@txtContenedor varchar(150),
@txtDescripcion text,
@numMantenimiento bit,
@numUsuario int,
@dbResponse varchar(300) output,
@dbId int output
as
begin
	set nocount on;
	declare @dbError varchar(300);
	declare @dbCnt int;
	
	select @dbCnt = COUNT(*) from sistema.datos_modulos where titulo = @txtTitulo and estado = 1 and id != @numId;

	if @dbCnt = 0
		begin
			if @numId = 0
				begin
					insert into sistema.datos_modulos(titulo,contenedor,descripcion,mantenimiento,idUsuario) values(@txtTitulo,@txtContenedor,@txtDescripcion,@numMantenimiento,@numUsuario);
					select @dbId = SCOPE_IDENTITY();
				end
			else
				begin
					set @dbId = @numId;
					update sistema.datos_modulos set titulo = @txtTitulo,contenedor = @txtContenedor,descripcion = @txtDescripcion,ultimaActualizacion = GETDATE() where id = @numId;
				end
		end
	else
		begin
			set @dbError = 'duplicado';
		end

	set @dbResponse = ISNULL(@dbError,'success');
end